﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SystemBankowy
{
    class Program
    {
        //procedura DDD
        static void WyświetlListęKont(List<Konto> konta)
        {
            foreach (Konto konto in konta) Console.WriteLine(konto.NumerKonta + ": " + konto.Saldo + ", " + konto.Właściciel);
        }

        static void Main(string[] args)
        {
            Bank bank = new Bank();
            Console.WriteLine("Tworzę konto o numerze " + Bank.TwórzKonto(bank.KontaROR, "Jacek Matulewski"));
            Console.WriteLine("Tworzę konto o numerze " + Bank.TwórzKonto(bank.KontaROR, "Jan Kowalski"));
            WyświetlListęKont(bank.KontaROR);
            
            bank.KontaROR[1].Wpłać(200);
            WyświetlListęKont(bank.KontaROR);

            Przelew przelew = new Przelew() { Nadawca = bank.KontaROR[1], Odbiorca = bank.KontaROR[0], Kwota = 100 };
            if (Bank.WykonajPrzelew(przelew)) Console.WriteLine("Dokonano przelewu");
            else Console.WriteLine("Dokonanie przelewu nie powiodło");
            WyświetlListęKont(bank.KontaROR);
        }

        //zad.3 Przelewy w osobnych wątkach z synchronizacją na kontach
    }
}
